Subject: Re: bug#53739: 28.0.91; "C-x d" fails when "emacs -Q" starts on NetBSD with plan9/bin on head of PATH

From: Po Lu <[email-masked]>
Date: Thu, 03 Feb 2022 16:01:51 +0800

Eli Zaretskii <[email-masked]> writes:

> I guess the version of 'ls' there is incompatible or something?  The
> message means that 'ls' exited with a non-zero status for some reason.

Yes, Plan 9 from User Space (which provides the ports of Plan 9
utilities to Unix-like systems) provides an ls binary that is
incompatible with what Emacs expects.

> Please investigate more what went wrong there and report here the
> details, so we could decide whether we want to support "plan9/bin"
> idiosyncrasies, whatever they are.

It would be a great deal of trouble to support their version of ls (and
indeed, their versions of many other common Unix utilities such as `rm'
and `cp'), so I think the answer is simply "don't run Emacs with
plan9/bin at the head of your PATH".